using SignedDistanceField
using Documenter

DocMeta.setdocmeta!(SignedDistanceField, :DocTestSetup, :(using SignedDistanceField); recursive=true)

makedocs(;
    modules=[SignedDistanceField],
    authors="Baptiste Pierrat",
    repo="https://gitlab.emse.fr/pierrat/SignedDistanceField.jl/blob/{commit}{path}#{line}",
    sitename="SignedDistanceField.jl",
    format=Documenter.HTML(;
        prettyurls=get(ENV, "CI", "false") == "true",
        canonical="https://pierrat.pages.emse.fr/SignedDistanceField.jl",
        assets=String[],
        disable_git=true
    ),
    pages=[
        "Home" => "index.md",
    ],
)
